Index: uspace/drv/bus/usb/ehci/res.c
===================================================================
--- uspace/drv/bus/usb/ehci/res.c	(revision 32fb6bcec95f3a7fbb1b2fdb6528f0e04726a6b6)
+++ uspace/drv/bus/usb/ehci/res.c	(revision 957ea3a5214cbbd5b086171e4b7e8cd700bae8c8)
@@ -74,16 +74,16 @@
 	    eecp + USBLEGSUP_OFFSET, &usblegsup);
 	if (ret != EOK) {
-		usb_log_error("Failed to read USBLEGSUP: %s.\n", str_error(ret));
-		return ret;
-	}
-	usb_log_debug2("USBLEGSUP: %" PRIx32 ".\n", usblegsup);
+		usb_log_error("Failed to read USBLEGSUP: %s.", str_error(ret));
+		return ret;
+	}
+	usb_log_debug2("USBLEGSUP: %" PRIx32 ".", usblegsup);
 
 	/* Request control from firmware/BIOS by writing 1 to highest
 	 * byte. (OS Control semaphore)*/
-	usb_log_debug("Requesting OS control.\n");
+	usb_log_debug("Requesting OS control.");
 	ret = pci_config_space_write_8(parent_sess,
 	    eecp + USBLEGSUP_OFFSET + 3, 1);
 	if (ret != EOK) {
-		usb_log_error("Failed to request OS EHCI control: %s.\n",
+		usb_log_error("Failed to request OS EHCI control: %s.",
 		    str_error(ret));
 		return ret;
@@ -103,5 +103,5 @@
 
 	if ((usblegsup & USBLEGSUP_BIOS_CONTROL) == 0) {
-		usb_log_info("BIOS released control after %zu usec.\n", wait);
+		usb_log_info("BIOS released control after %zu usec.", wait);
 		return EOK;
 	}
@@ -109,9 +109,9 @@
 	/* BIOS failed to hand over control, this should not happen. */
 	usb_log_warning( "BIOS failed to release control after "
-	    "%zu usecs, force it.\n", wait);
+	    "%zu usecs, force it.", wait);
 	ret = pci_config_space_write_32(parent_sess,
 	    eecp + USBLEGSUP_OFFSET, USBLEGSUP_OS_CONTROL);
 	if (ret != EOK) {
-		usb_log_error("Failed to force OS control: %s.\n",
+		usb_log_error("Failed to force OS control: %s.",
 		    str_error(ret));
 		return ret;
@@ -130,9 +130,9 @@
 		    eecp + USBLEGCTLSTS_OFFSET, &usblegctlsts);
 		if (ret != EOK) {
-			usb_log_error("Failed to get USBLEGCTLSTS: %s.\n",
+			usb_log_error("Failed to get USBLEGCTLSTS: %s.",
 			    str_error(ret));
 			return ret;
 		}
-		usb_log_debug2("USBLEGCTLSTS: %" PRIx32 ".\n", usblegctlsts);
+		usb_log_debug2("USBLEGCTLSTS: %" PRIx32 ".", usblegctlsts);
 		/*
 		 * Zero SMI enables in legacy control register.
@@ -143,5 +143,5 @@
 		    eecp + USBLEGCTLSTS_OFFSET, 0xe0000000);
 		if (ret != EOK) {
-			usb_log_error("Failed to zero USBLEGCTLSTS: %s\n",
+			usb_log_error("Failed to zero USBLEGCTLSTS: %s",
 			    str_error(ret));
 			return ret;
@@ -153,9 +153,9 @@
 		    eecp + USBLEGCTLSTS_OFFSET, &usblegctlsts);
 		if (ret != EOK) {
-			usb_log_error("Failed to get USBLEGCTLSTS 2: %s.\n",
+			usb_log_error("Failed to get USBLEGCTLSTS 2: %s.",
 			    str_error(ret));
 			return ret;
 		}
-		usb_log_debug2("Zeroed USBLEGCTLSTS: %" PRIx32 ".\n",
+		usb_log_debug2("Zeroed USBLEGCTLSTS: %" PRIx32 ".",
 		    usblegctlsts);
 	}
@@ -165,9 +165,9 @@
 	    eecp + USBLEGSUP_OFFSET, &usblegsup);
 	if (ret != EOK) {
-		usb_log_error("Failed to read USBLEGSUP: %s.\n",
-		    str_error(ret));
-		return ret;
-	}
-	usb_log_debug2("USBLEGSUP: %" PRIx32 ".\n", usblegsup);
+		usb_log_error("Failed to read USBLEGSUP: %s.",
+		    str_error(ret));
+		return ret;
+	}
+	usb_log_debug2("USBLEGSUP: %" PRIx32 ".", usblegsup);
 	return ret;
 }
@@ -181,9 +181,9 @@
 		return ENOMEM;
 
-	usb_log_debug("Disabling EHCI legacy support.\n");
+	usb_log_debug("Disabling EHCI legacy support.");
 
 
 	const uint32_t hcc_params = EHCI_RD(hc->caps->hccparams);
-	usb_log_debug2("Value of hcc params register: %x.\n", hcc_params);
+	usb_log_debug2("Value of hcc params register: %x.", hcc_params);
 
 	/* Read value of EHCI Extended Capabilities Pointer
@@ -191,9 +191,9 @@
 	const uint32_t eecp =
 	    (hcc_params >> EHCI_CAPS_HCC_EECP_SHIFT) & EHCI_CAPS_HCC_EECP_MASK;
-	usb_log_debug2("Value of EECP: %x.\n", eecp);
+	usb_log_debug2("Value of EECP: %x.", eecp);
 
 	int ret = disable_extended_caps(parent_sess, eecp);
 	if (ret != EOK) {
-		usb_log_error("Failed to disable extended capabilities: %s.\n",
+		usb_log_error("Failed to disable extended capabilities: %s.",
 		    str_error(ret));
 		    goto clean;
